<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY x7fonts-download-http "&xorg-download-http;/font/">
  <!ENTITY x7fonts-download-ftp  " ">
  <!ENTITY x7fonts-size          "3.0 MB">
  <!ENTITY x7fonts-buildsize     "8.8 MB">
  <!ENTITY x7fonts-time          "0.1 SBU">

  <!ENTITY encodings-version               "1.1.0">
  <!ENTITY encodings-md5sum                "a56b1a7f2c14173f71f010225fa131f1">

  <!ENTITY font-adobe-utopia-type1-version "1.0.5">
  <!ENTITY font-adobe-utopia-type1-md5sum  "546d17feab30d4e3abcf332b454f58ed">

  <!ENTITY font-alias-version              "1.0.5">
  <!ENTITY font-alias-md5sum               "79f4c023e27d1db1dfd90d041ce89835">

  <!ENTITY font-bh-ttf-version             "1.0.4">
  <!ENTITY font-bh-ttf-md5sum              "063bfa1456c8a68208bf96a33f472bb1">

  <!ENTITY font-bh-type1-version           "1.0.4">
  <!ENTITY font-bh-type1-md5sum            "51a17c981275439b85e15430a3d711ee">

  <!ENTITY font-ibm-type1-version          "1.0.4">
  <!ENTITY font-ibm-type1-md5sum           "00f64a84b6c9886040241e081347a853">

  <!ENTITY font-misc-ethiopic-version      "1.0.5">
  <!ENTITY font-misc-ethiopic-md5sum       "fe972eaf13176fa9aa7e74a12ecc801a">

  <!ENTITY font-util-version               "1.4.1">
  <!ENTITY font-util-md5sum                "a6541d12ceba004c0c1e3df900324642">

  <!ENTITY font-xfree86-type1-version      "1.0.5">
  <!ENTITY font-xfree86-type1-md5sum       "3b47fed2c032af3a32aad9acc1d25150">

]>

<sect1 id="xorg7-font" xreflabel="Xorg Fonts">
  <?dbhtml filename="x7font.html"?>


  <title>Xorg Fonts</title>

  <indexterm zone="xorg7-font">
    <primary sortas="a-xorg7-font">Xorg Fonts</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Xorg Fonts</title>

    <para>
      The <application>Xorg</application> font packages provide some scalable
      fonts and supporting packages for <application>Xorg</application>
      applications. Many people will want to install other TTF or OTF fonts in
      addition to, or instead of, these. Some are listed at <xref
      linkend="TTF-and-OTF-fonts"/>.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&x7fonts-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&x7fonts-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &x7fonts-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &x7fonts-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &x7fonts-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Xorg Fonts Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="xcursor-themes"/>
    </para>

  </sect2>

  <sect2>
    <title>Downloading Xorg Fonts</title>

    <para>
      First, create a list of files to be downloaded. This file will also
      be used to verify the integrity of the downloads when complete:
    </para>

<screen><userinput>cat &gt; font-&xorg-version;.md5 &lt;&lt; "EOF"
<literal>&font-util-md5sum;  font-util-&font-util-version;.tar.xz
&encodings-md5sum;  encodings-&encodings-version;.tar.xz
&font-alias-md5sum;  font-alias-&font-alias-version;.tar.xz
&font-adobe-utopia-type1-md5sum;  font-adobe-utopia-type1-&font-adobe-utopia-type1-version;.tar.xz
&font-bh-ttf-md5sum;  font-bh-ttf-&font-bh-ttf-version;.tar.xz
&font-bh-type1-md5sum;  font-bh-type1-&font-bh-type1-version;.tar.xz
&font-ibm-type1-md5sum;  font-ibm-type1-&font-ibm-type1-version;.tar.xz
&font-misc-ethiopic-md5sum;  font-misc-ethiopic-&font-misc-ethiopic-version;.tar.xz
&font-xfree86-type1-md5sum;  font-xfree86-type1-&font-xfree86-type1-version;.tar.xz</literal>
EOF</userinput></screen>

    <para>
      To download the needed files using <xref linkend='wget'/>,
      use the following commands:
    </para>

<screen><userinput>mkdir font &amp;&amp;
cd font &amp;&amp;
grep -v '^#' ../font-&xorg-version;.md5 | awk '{print $2}' | wget -i- -c \
    -B &xorg-download-http;/font/ &amp;&amp;
md5sum -c ../font-&xorg-version;.md5</userinput></screen>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Xorg Fonts</title>

&as_root;

    <para>
      First, start a subshell that will exit on error:
    </para>

<screen><userinput>bash -e</userinput></screen>

    <para>
      Install all of the packages by running the following commands:
    </para>

<screen><userinput>for package in $(grep -v '^#' ../font-&xorg-version;.md5 | awk '{print $2}')
do
  packagedir=${package%.tar.?z*}
  tar -xf $package
  pushd $packagedir
    ./configure $XORG_CONFIG
    make
    as_root make install
  popd
  as_root rm -rf $packagedir
done</userinput></screen>

    <para>
      Finally, exit the shell that was started earlier:
    </para>

<screen><userinput>exit</userinput></screen>

    <para>
      When all of the fonts have been installed, the system must be
      configured so that <application>Fontconfig</application> can find the
      TrueType fonts. Since the fonts are outside of the default search path of
      several packages <emphasis role="bold">if <envar>XORG_PREFIX</envar> is
      not <filename class="directory">/usr</filename></emphasis>, make symlinks
      to the <application>Xorg</application> TrueType font directories in
      <filename class="directory">/usr/share/fonts</filename> by
      running the following commands as the
      <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>install -v -d -m755 /usr/share/fonts                               &amp;&amp;
ln -svfn $XORG_PREFIX/share/fonts/X11/OTF /usr/share/fonts/X11-OTF &amp;&amp;
ln -svfn $XORG_PREFIX/share/fonts/X11/TTF /usr/share/fonts/X11-TTF</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>bdftruncate and ucs2any</seg>
        <seg>None</seg>
        <seg><envar>$XORG_PREFIX</envar>/share/fonts</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="bdftruncate-x7">
        <term><command>bdftruncate</command></term>
        <listitem>
          <para>
            generates a truncated BDF font from an ISO 10646-1 encoded BDF font
          </para>
          <indexterm zone="xorg7-font bdftruncate-x7">
            <primary sortas="b-bdftruncate">bdftruncate</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="ucs2any-x7">
        <term><command>ucs2any</command></term>
        <listitem>
          <para>
            generates BDF fonts in any encoding from an ISO 10646-1 encoded
            BDF font
          </para>
          <indexterm zone="xorg7-font ucs2any-x7">
            <primary sortas="b-ucs2any">ucs2any</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
